﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Xml;

public class LaneState
{
    public string Name { get; private set; }
    public LaneType LaneType { get; private set; }
    public string DisplayName { get; private set; }

    public LaneState(XmlNode stateNode)
    {
        Name = stateNode.Attributes["Name"].Value;
        if (stateNode.Attributes["DisplayName"] != null)
            DisplayName = stateNode.Attributes["DisplayName"].Value;

        LaneType = (LaneType) Enum.Parse(typeof(LaneType), stateNode.Attributes["Type"].Value);
    }
}

public enum LaneType
{
    InProgress,
    Queue,
}